<?php if(!isset($_SESSION)){session_start();}

// Domínio de Acesso (identificar IP em caso de Evento)
$dominio = substr($_SERVER['HTTP_HOST'], 0, 8)=="192.168." ? "localhost" : $_SERVER['HTTP_HOST'] ;

$dominio = $_SERVER['HTTP_HOST'];




if(substr($dominio, 0, 8) == "192.168." or substr($dominio, 0, 8) == "127.0.0." or $dominio =='localhost'){$host_bd = "localhost";}else{$host_bd = "pokerweb.com.br";}

if($host_bd == "localhost"){
  $fncr_bd_nome = 'fncr';
  $fncr_bd_usuario = 'root';
  $fncr_bd_senha = 'BDacessoLocal99';
  $fncr_dsn = 'mysql:host='.$host_bd.';dbname='.$fncr_bd_nome.''; // para PDO
}else{
  $host_bd = 'localhost';
  $fncr_bd_nome = 'ad41eee9_0_fncr';
  $fncr_bd_usuario = 'ad41eee9_0_fncr';
  $fncr_bd_senha = 'h6hUiy63yacO';
  $fncr_dsn = 'mysql:host='.$host_bd.';dbname='.$fncr_bd_nome; // para PDO
}

if(isset($acesso_bd) && $acesso_bd == "ok") {
  class Coneccao{
    private $bd;
    public function __construct(){
      global $fncr_dsn; global $fncr_bd_usuario; global $fncr_bd_senha;
      try {
        $this->bd = new PDO($fncr_dsn, $fncr_bd_usuario, $fncr_bd_senha);
        // Tipo de retorno de erro PDO
        $this->bd->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
      }   catch (PDOException $e) {
        throw new PDOException($e->getMessage());
      }
    }
    public function getConexao(){
      return $this->bd;
    }
  }
}

if(isset($acesso_bd) && $acesso_bd == "ok") {
  class ConeccaoON{
    private $bd;
    public function __construct(){
      try {
        $this->bd = new PDO($fncr_dsn, $fncr_bd_usuario, $fncr_bd_senha);
        // Tipo de retorno de erro PDO
        $this->bd->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
      }   catch (PDOException $e) {
        throw new PDOException($e->getMessage());
      }
    }
    public function getConexao(){
      return $this->bd;
    }
  }
}

class ConeccaoClube{
  private $bd;
  public function __construct(){
    try {
      global $clube_dsn; global $clube_bd_usuario; global $clube_bd_senha;
      $this->bd = new PDO($clube_dsn, $clube_bd_usuario, $clube_bd_senha);
      // Tipo de retorno de erro PDO
      $this->bd->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    }   catch (PDOException $e) {
      throw new PDOException($e->getMessage());
    }
  }
  public function getConexao(){
    return $this->bd;
  }
}

class ConeccaoBigData{
  private $bd;
  public function __construct($tipo){
    // Clubes e BigData
    if($tipo=="clubes_big"){
      $bd_usuario = 'apppo390_desenv2';
      $bd_senha = '6T2TVVvskfQd';
      $bd_dsn = 'mysql:host=pokerweb.com.br;';
    }
    // Fncr e BigData
    if($tipo=="fncr_big"){
      $bd_usuario = 'apppo390__bigdat';
      $bd_senha = 'nFPNjbse80aV';
      $bd_dsn = 'mysql:host=pokerweb.com.br;';
    }
    try {
      $this->bd = new PDO($bd_dsn, $bd_usuario, $bd_senha);
      // Tipo de retorno de erro PDO
      $this->bd->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    }   catch (PDOException $e) {
      throw new PDOException($e->getMessage());
    }
  }
  public function getConexao(){
    return $this->bd;
  }
}

?>